Summary:	A user-friendly GUI for mondoarchive/mondorestore.
#Summary(fr):	Un programme pour les utilisateurs de RedHat/Mandrake pour crer un CD de sauvegarde/restauration
#Summary(it):	Un programma per utenti RedHat/Mandrake per creare un CD di rescue
Name:		XMondo
Version:	1.00_20030126
Release:	1
License:	GPL
Group:		Applications/Archiving
Url:		http://www.microwerks.net/~hugo/
Source:		%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	mindi >= 0.70, mondo >= 1.50, binutils
BuildRequires:	newt-devel >= 0.50, slang-devel >= 1.4.2, ncurses-devel >= 5.1-2
Prefix:		/usr/local
%define _prefix /usr/local

%description
XMondo is a user-friendly GUI for mondoarchive/mondorestore.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%configure

%build
#make
#cd mondo
#./make-mondo
#cd ..
echo "You need to build using Kylix."
#exit 1

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/XMondo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/XMondo/images
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1


actual_path=$RPM_BUILD_ROOT%{_datadir}/XMondo
final_path=%{_datadir}/XMondo
for i in XMondo libborqt-6.9.0-qt2.3.so libborqt-6.9-qt2.3.so ; do
#    if [ -h "$i" ] ; then
#        cp -pRdf $i $actual_path/$i
#	cp -pRdf $i /usr/lib/$i
#    else
        install -m 755 $i $actual_path/$i
	install -m 755 $i /usr/lib/$i
#    fi
    rm -Rf /usr/lib/XMondo
done
#if ! grep $final_path /etc/ld.so.conf &> /dev/null ; then
#    echo "$final_path" >> /etc/ld.so.conf
#    ldconfig
#fi

# Make a link
cd $RPM_BUILD_ROOT%{_bindir}
ln -sf ../share/XMondo/XMondo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog *.html images
%dir %{_datadir}/XMondo
%{_bindir}/XMondo
%{_datadir}/XMondo/XMondo
%{_datadir}/XMondo/libborqt-6.9.0-qt2.3.so
%{_datadir}/XMondo/libborqt-6.9-qt2.3.so
%changelog

* Sun Jan 26 2003 Hugo Rabson <hugo@firstlinux.net> 1.00_20030126
- sane copying of libborqt* libraries

* Mon Nov 04 2002 Hugo Rabson <hugo@firstlinux.net> 1.00
- initial release







