//---------------------------------------------------------------------------

#ifndef configureH
#define configureH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <QComCtrls.hpp>
#include <QExtCtrls.hpp>
#include <QFileCtrls.hpp>
#include <QDialogs.hpp>
#include <QButtons.hpp>
#include <QCheckLst.hpp>
//---------------------------------------------------------------------------

class TfrmConfigure : public TForm
{
__published:	// IDE-managed Components
        TButton *butCancel;
        TPageControl *pgcConfigure;
        TTabSheet *tabHardware;
        TTabSheet *tabBackup;
        TTabSheet *tabAdvanced;
        TRadioGroup *rdgMediaType;
        TRadioGroup *rdgCompression;
        TButton *butSave;
        TCheckBox *chkDifferential;
        TLabel *labDevice;
        TOpenDialog *odlChooseBkpDev;
        TLabel *labExcludeDevs;
        TLabel *Label1;
        TGroupBox *gbxBootdisk;
        TCheckBox *chkBootFloppies;
        TCheckBox *chkLiloBF;
        TEdit *ediMediaSize;
        TLabel *labMediaSize;
        TLabel *Label3;
        TGroupBox *gbxYourDistro;
        TLabel *Label2;
        TRadioButton *radGRUB;
        TRadioButton *radLILO;
        TLabel *Label5;
        TFileEdit *fedBootDevice;
        TFileEdit *fedBackupDevice;
        TFileEdit *fedKernelPath;
        TCheckBox *chkCompareAfter;
        TLabel *Label6;
        TLabel *Label7;
        TFileEdit *fedIncludePath;
        TLabel *Label4;
        TLabel *Label8;
        TLabel *Label9;
        TCheckBox *chkBackupNFSMounts;
        TEdit *ediExcludePaths;
        TCheckListBox *clbImageDrives;
        TLabel *Label10;
        TCheckListBox *clbExcludeDevices;
        void __fastcall butCancelClick(TObject *Sender);
        void __fastcall butSaveClick(TObject *Sender);
        void __fastcall butChooseDevEntryClick(TObject *Sender);
        void __fastcall odlChooseBkpDevCanClose(TObject *Sender,
          bool &CanClose);
        void __fastcall rdgCompressionClick(TObject *Sender);
        void __fastcall rdgMediaTypeClick(TObject *Sender);
        void __fastcall fedBackupDeviceClick(TObject *Sender);
        void __fastcall chkDifferentialClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall chkBackupNFSMountsClick(TObject *Sender);
        void __fastcall clbExcludeDevicesClickCheck(TObject *Sender);
        void __fastcall clbImageDrivesClickCheck(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmConfigure(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmConfigure *frmConfigure;
//---------------------------------------------------------------------------
#endif


bool are_xmondo_config_box_settings_OK();




